Skip to content

FinrepService⁠

Manage Current Transaction Report (CTR) records.

Operations⁠

createCtrBranch⁠

POST

Creates a branch for CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
CtrBranchLocatorintegeroptional
POST/nexum/{sym}/persistent/finrep/createCtrBranch
POST /nexum/627/persistent/finrep/createCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrBranchFields": {
    "Address": "string",
    "CashinLocation": 0,
    "CashoutLocation": 0,
    "City": "string",
    "CountryCode": "string",
    "Ein": "string",
    "Id": 0,
    "LastFmDate": "string",
    "Locator": 0,
    "Name": "string",
    "RecordChangeDate": "string",
    "State": "string",
    "Type": 0,
    "ZipCode": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

deleteCtrBranch⁠

POST

Deletes a branch for CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrBranchLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/finrep/deleteCtrBranch
POST /nexum/627/persistent/finrep/deleteCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrBranchLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}